import * as DynamoDB from 'aws-sdk/clients/dynamodb';
import { Observable } from 'rxjs';
import { TransactOperation } from './transact-operation.type';
export declare class TransactWriteRequest {
    readonly params: DynamoDB.TransactWriteItemsInput;
    private readonly dynamoRx;
    constructor();
    returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): TransactWriteRequest;
    returnItemCollectionMetrics(returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics): TransactWriteRequest;
    transact(...writeOperations: TransactOperation[]): TransactWriteRequest;
    execFullResponse(): Observable<DynamoDB.TransactWriteItemsOutput>;
    exec(): Observable<void>;
}
